If you set the draw_progress_line option and the draw_related_issues option of the custom query to true, you can not change it to
false from the screen.

I think this problem is due to the influence of #29701.

Related issues:
Related to Redmine - Defect # 29701: Custom queries are broken by updating wi... Closed

Associated revisions
Revision 18015 - 2019-03-30 07:19 - Jean-Philippe Lang

Cannot uncheck Gantt chart options of a custom query (#31063).

Patch by Mizuki ISHIKAWA.

Revision 18019 - 2019-03-30 08:16 - Jean-Philippe Lang

Merged r18015 to 4.0-stable (#31063).

History
#1 - 2019-03-20 03:48 - Mizuki ISHIKAWA

I think that the cause is that the parameter is nil when the check box is false.
The solution is to make the parameter '0' if the checkbox is false by the hidden tag.

diff --git a/app/views/queries/_form.html.erb b/app/views/queries/_form.html.erb
index f424e103cd..7f79906efb 100644
--- a/app/views/queries/_form.html.erb
+++ b/app/views/queries/_form.html.erb
@@ -40,6 +40,8 @@
 <% else %>
 <fieldset id="options"><legend><%= l(:label_options) %></legend>
   <p><label><%= l(:button_show) %></label>
+  <%= hidden_field_tag 'query[draw_relations]', '0' %>
+  <%= hidden_field_tag 'query[draw_progress_line]', '0' %>
   <label class="inline"><%= check_box_tag "query[draw_relations]", "1", @query.draw_relations %> <%= l(:label_related_issues) %></label>
   <label class="inline"><%= check_box_tag "query[draw_progress_line]", "1", @query.draw_progress_line %> <%= l(
:label_gantt_progress_line) %></label>
   </p>

#2 - 2019-03-21 13:31 - Go MAEDA
- Target version set to Candidate for next minor release

#3 - 2019-03-25 15:18 - Go MAEDA
- Related to Defect #29701: Custom queries are broken by updating with nil parameter values added

#4 - 2019-03-25 15:18 - Go MAEDA
- Target version changed from Candidate for next minor release to 4.0.3

Setting the target version to 4.0.3.

#5 - 2019-03-30 07:19 - Jean-Philippe Lang
- Subject changed from Can't change Ganttchart options of custom query to false to Can't uncheck Gantt chart options of custom queries
- Category set to Gantt
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang
- Resolution set to Fixed

#6 - 2019-03-30 07:19 - Jean-Philippe Lang

Committed, thanks.

#7 - 2019-03-30 08:16 - Jean-Philippe Lang
- Status changed from Resolved to Closed
